Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.portlet.modules.map.actions.portlets
Class WMCManagementPortletAction

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Action
              org.apache.turbine.modules.ActionEvent
                  org.apache.jetspeed.modules.actions.portlets.PortletActionEvent
                      org.apache.jetspeed.modules.actions.portlets.PortletAction
                          org.apache.jetspeed.modules.actions.portlets.GenericMVCAction
                              org.apache.jetspeed.modules.actions.portlets.JspPortletAction
                                  org.deegree.portal.portlet.modules.map.actions.portlets.WMCManagementPortletAction

    public class WMCManagementPortletAction

extends org.apache.jetspeed.modules.actions.portlets.JspPortletAction

General action for managing WMC (saving, loading sharing). Currently saving to user's directory, saving to a shared diractory and loading from shared are implemented.

Version:
  $Revision: 1.5 $, $Date: 2007/01/04 11:18:33 $
Author:
  Ugo Taddei, last edited by: $Author: taddei $

Field Summary

Fields inherited from class org.apache.jetspeed.modules.actions.portlets.GenericMVCAction
`logger`

Fields inherited from class org.apache.turbine.modules.ActionEvent
`BUTTON, BUTTON_LENGTH, LENGTH, METHOD_NAME_LENGTH, METHOD_NAME_PREFIX`

Constructor Summary
`WMCManagementPortletAction()`

Method Summary
`protected void` | `buildNormalContext(org.apache.jetspeed.portal.Portlet portlet, org.apache.turbine.util.RunData rundata)`
`void` | `doLoadcontext(org.apache.turbine.util.RunData rundata, org.apache.jetspeed.portal.Portlet portlet)` Loads a context from the "WEB_INF/wmc/shared"
`void` | `doSavecontext(org.apache.turbine.util.RunData rundata, org.apache.jetspeed.portal.Portlet portlet)` Saved the context into the "WEB_INF/wmc/$USER_HOME" directory
`void` | `doSavenamedcontext(org.apache.turbine.util.RunData rundata, org.apache.jetspeed.portal.Portlet portlet)` Saved the context with user defined name into the "WEB_INF/wmc/$USER_HOME" directory
`void` | `doSaveshared(org.apache.turbine.util.RunData rundata, org.apache.jetspeed.portal.Portlet portlet)` Saved the context into the "WEB_INF/wmc/shared" directory

Methods inherited from class org.apache.jetspeed.modules.actions.portlets.JspPortletAction
`buildConfigureContext, buildConfigureContext, buildMaximizedContext, buildMaximizedContext, buildNormalContext, setTemplate`

Methods inherited from class org.apache.jetspeed.modules.actions.portlets.GenericMVCAction
`checkAdministrativeAction, doPerform, getAttribute, getAttribute, getPortletInstance, perform, setAttribute`

Methods inherited from class org.apache.jetspeed.modules.actions.portlets.PortletAction
`doPerform, getContext, getPortlet, getTemplate, resetTemplate, setTemplate, setTemplate`

Methods inherited from class org.apache.jetspeed.modules.actions.portlets.PortletActionEvent
`executeEvents, fireEvent`

Methods inherited from class org.apache.turbine.modules.ActionEvent
`executeEvents, formatString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WMCManagementPortletAction

    public WMCManagementPortletAction()

Method Detail

### buildNormalContext

    protected void buildNormalContext(org.apache.jetspeed.portal.Portlet portlet,
                                      org.apache.turbine.util.RunData rundata)
                               throws Exception

  Specified by:
    `buildNormalContext` in class `org.apache.jetspeed.modules.actions.portlets.JspPortletAction`
  Throws:
    `Exception`

### doSaveshared

    public void doSaveshared(org.apache.turbine.util.RunData rundata,
                             org.apache.jetspeed.portal.Portlet portlet)
                      throws Exception

  Saved the context into the "WEB_INF/wmc/shared" directory

  Parameters:
    `rundata` -
    `portlet` -
  Throws:
    `Exception`

### doSavecontext

    public void doSavecontext(org.apache.turbine.util.RunData rundata,
                              org.apache.jetspeed.portal.Portlet portlet)
                       throws Exception

  Saved the context into the "WEB_INF/wmc/$USER_HOME" directory

  Parameters:
    `rundata` -
    `portlet` -
  Throws:
    `Exception`

### doSavenamedcontext

    public void doSavenamedcontext(org.apache.turbine.util.RunData rundata,
                                   org.apache.jetspeed.portal.Portlet portlet)
                            throws Exception

  Saved the context with user defined name into the "WEB_INF/wmc/$USER_HOME" directory

  Parameters:
    `rundata` -
    `portlet` -
  Throws:
    `Exception`

### doLoadcontext

    public void doLoadcontext(org.apache.turbine.util.RunData rundata,
                              org.apache.jetspeed.portal.Portlet portlet)
                       throws Exception

  Loads a context from the "WEB_INF/wmc/shared"

  Parameters:
    `rundata` -
    `portlet` -
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org